## org.jboss.verifier.strategy
Interface VerificationStrategy

All Superinterfaces:
  org.gjt.lindfors.pattern.Strategy

All Known Implementing Classes:
  AbstractVerifier

public interface VerificationStrategy
extends org.gjt.lindfors.pattern.Strategy

<< DESCRIBE THE CLASS HERE >> For more detailed documentation, refer to the >

Since:
  JDK 1.3
Version:
  $Revision: 1.6 $
Author:
  Juha Lindfors (jplindfo@helsinki.fi)
See Also:
  << OTHER RELATED CLASSES >>

Method Summary
`void` `checkEntity(EntityMetaData entity)`
`void` `checkMessageBean(BeanMetaData session)`
`void` `checkSession(SessionMetaData session)`

Methods inherited from interface org.gjt.lindfors.pattern.Strategy
`getContext`

Method Detail

### checkEntity

    public void checkEntity(EntityMetaData entity)

### checkSession

    public void checkSession(SessionMetaData session)

### checkMessageBean

    public void checkMessageBean(BeanMetaData session)

Copyright © 2000 The JBoss Organization. All Rights Reserved.